%define realname lokalize

Name: kde-sdk-lokalize
Summary: Computer-Aided Translation Tool
Version: 14.12.3
Group: Graphical desktop/KDE4
Release: %mkrel 4
License: GPLv2 and LGPLv2 and GFDL
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%{realname}-%{version}.tar.xz

BuildRequires: kdelibs-devel
BuildRequires: pkgconfig(hunspell)
BuildRequires: desktop-file-utils
BuildRequires: docbook-dtd42-xml
BuildRequires: docbook-style-xsl
Provides: lokalize	
Requires:  qt4-database-plugin-sqlite
Obsoletes: 	kde-sdk-help
Obsoletes:	kde-sdk-kmtrace
Obsoletes:	kde-sdk-kuiviewer 
Obsoletes:	kde-sdk-scripts 
Obsoletes:	kde-sdk-strigi-analyzer 
Obsoletes:	kde-sdk-devel


%description
Lokalize is a computer-aided translation system that focuses on
productivity and performance. The translator does only creative work
(of delivering message in his/her mother language in laconic and
easy to understand form). Lokalize implies a paragraph-by-paragraph
translation approach (when translating documentation) and
message-by-message approach (when translating GUI strings).


%files
%_kde_bindir/lokalize
%_kde_datadir/applications/kde4/lokalize.desktop
%_kde_appsdir/lokalize
%_kde_datadir/config.kcfg/lokalize.kcfg
%_kde_iconsdir/*/*/apps/lokalize.*
%_kde_docdir/*/*/lokalize

#------------------------------------------------------------------------------

%prep
%setup -q -n %{realname}-%{version}

%build
export LD=/usr/bin/ld.gold
%cmake_kde4 -DKDE4_ENABLE_FINAL=OFF
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-TextTools" \
  --add-category="X-MandrivaLinux-MoreApplications-Development-Tools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/lokalize.desktop
  


%changelog
* Thu Jul 23 2015 pp <pp> 14.12.3-4pclos2015
- rebuild on 15.04.3

* Sun Jun 21 2015 ghostbunny <ghostbunny at gmx dot de> 14.12.3-3pclos2015
- rebuild against new hunspell version
- add missing BR desktop-file-utils, docbook-dtd42-xml, docbook-style-xsl

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 14.12.3-2pclos2015
- rebuild on 15.04.0

* Mon Mar 09 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3
